## com.sun.grizzly.util
Class StateHolder.EventListener

    java.lang.Object
      com.sun.grizzly.util.StateHolder.EventListener

Enclosing class:
  StateHolder<E>

    public static class StateHolder.EventListener

extends Object

EventListener class, which is a part of `EventConditionListener`, and implements notificatation logic, when condition becomes true.

Field Summary
`Object` `notificationObject`

Constructor Summary
`StateHolder.EventListener()`

Method Summary
`void` `notifyEvent()`
`protected static void` `notifyListener(Object listener)`
`void` `set(Object notificationObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### notificationObject

    public Object notificationObject

Constructor Detail

### StateHolder.EventListener

    public StateHolder.EventListener()

Method Detail

### set

    public void set(Object notificationObject)

### notifyEvent

    public void notifyEvent()

### notifyListener

    protected static void notifyListener(Object listener)

Copyright © 2008 SUN Microsystems. All Rights Reserved.